### Class

# Fwupd Report

#### Description [src]

    class Fwupd.Report : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

A firmware report from a vendor.

This is the LVFS formatted report that the fwupd user consumes, NOT the thing that gets uploaded.

See also: `FwupdRelease`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_report_new

Creates a new report.

since: 1.8.8

#### Functions

###### fwupd_report_flag_from_string

Converts a string to an enumerated report flag.

since: 1.9.1

###### fwupd_report_flag_to_string

Converts an enumerated report flag to a string.

since: 1.9.1

#### Instance methods

###### fwupd_report_add_flag

Adds a specific report flag to the report.

since: 1.9.1

###### fwupd_report_add_metadata_item

Sets a report metadata item.

since: 1.8.8

###### fwupd_report_get_created

Gets when the report was created.

since: 1.8.8

###### fwupd_report_get_device_name

Gets the name of the device the update was performed on.

since: 1.8.8

###### fwupd_report_get_distro_id

Gets the distribution name.

since: 1.8.8

###### fwupd_report_get_distro_variant

Gets the distribution variant.

since: 1.8.8

###### fwupd_report_get_distro_version

Gets the distribution version.

since: 1.8.8

###### fwupd_report_get_flags

Gets the report flags.

since: 1.9.1

###### fwupd_report_get_metadata

Gets the report metadata.

since: 1.8.8

###### fwupd_report_get_metadata_item

Gets a report metadata item.

since: 1.8.8

###### fwupd_report_get_remote_id

Gets the remote ID.

since: 1.9.3

###### fwupd_report_get_vendor

Gets the vendor that uploaded the test result.

since: 1.8.8

###### fwupd_report_get_vendor_id

Gets the vendor identifier. The mapping is only known on the remote server, and this can be useful to filter on different QA teams that work for the same OEM.

since: 1.8.8

###### fwupd_report_get_version_old

Gets the old version, i.e. what the upser was upgrading from.

since: 1.8.8

###### fwupd_report_has_flag

Finds if the report has a specific report flag.

since: 1.9.1

###### fwupd_report_remove_flag

Removes a specific report flag from the report.

since: 1.9.1

###### fwupd_report_set_created

Sets when the report was created.

since: 1.8.8

###### fwupd_report_set_device_name

Sets the name of the device the update was performed on.

since: 1.8.8

###### fwupd_report_set_distro_id

Sets the distribution name.

since: 1.8.8

###### fwupd_report_set_distro_variant

Sets the distribution variant.

since: 1.8.8

###### fwupd_report_set_distro_version

Sets the distribution version.

since: 1.8.8

###### fwupd_report_set_flags

Sets the report flags.

since: 1.9.1

###### fwupd_report_set_remote_id

Sets the remote ID.

since: 1.9.3

###### fwupd_report_set_vendor

Sets the vendor that uploaded the test result.

since: 1.8.8

###### fwupd_report_set_vendor_id

Sets the vendor identifier. The mapping is only known on the remote server, and this can be useful to filter on different QA teams that work for the same OEM.

since: 1.8.8

###### fwupd_report_set_version_old

Sets the old version, i.e. what the upser was upgrading from.

since: 1.8.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Properties

###### Fwupd.Report:flags

The report flags.

since: 1.9.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdReportClass {
      GObjectClass parent_class;
      void (* _fwupd_reserved1) (
    void
      );
      void (* _fwupd_reserved2) (
    void
      );
      void (* _fwupd_reserved3) (
    void
      );
      void (* _fwupd_reserved4) (
    void
      );
      void (* _fwupd_reserved5) (
    void
      );
      void (* _fwupd_reserved6) (
    void
      );
      void (* _fwupd_reserved7) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_fwupd_reserved1: void (* _fwupd_reserved1) ( void )`

  No description available.

`_fwupd_reserved2: void (* _fwupd_reserved2) ( void )`

  No description available.

`_fwupd_reserved3: void (* _fwupd_reserved3) ( void )`

  No description available.

`_fwupd_reserved4: void (* _fwupd_reserved4) ( void )`

  No description available.

`_fwupd_reserved5: void (* _fwupd_reserved5) ( void )`

  No description available.

`_fwupd_reserved6: void (* _fwupd_reserved6) ( void )`

  No description available.

`_fwupd_reserved7: void (* _fwupd_reserved7) ( void )`

  No description available.